epp_DomainHostsType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.domain.epp_DomainHostsType class

### org.openrtk.idl.epp0604.domain

# Class epp_DomainHostsType

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.domain.epp_DomainHostsType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainHostsType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of hosts types for domains. Used in conjunction with the epp_DomainInfoReq class to indicate the type of the domain hosts to return: ALL, DEL, NONE, or SUB. The ALL type returns all hosts types. The DEL type returns only delegating hosts for the domain. The NONE returns no hosts. The SUB returns only subordinant hosts in the Info response. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/domain/epp_DomainHostsType.java,v 1.1 2003/03/21 15:55:17 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:55:17 $

See Also:
  `epp_DomainInfoReq`

  ## Field Summary
  `static epp_DomainHostsType` | `ALL` Host instance of epp_DomainHostsType representing the ALL host type.
  `static epp_DomainHostsType` | `DEL` Host instance of epp_DomainHostsType representing the DEL host type.
  `static epp_DomainHostsType` | `NONE` Host instance of epp_DomainHostsType representing the NONE host type.
  `static epp_DomainHostsType` | `SUB` Host instance of epp_DomainHostsType representing the SUB host type.
  `static int` | `_ALL` Integer value representing the ALL host type.
  `static int` | `_DEL` Integer value representing the DEL host type.
  `static int` | `_NONE` Integer value representing the NONE host type.
  `static int` | `_SUB` Integer value representing the SUB host type.

  ## Constructor Summary
  `epp_DomainHostsType(int value)`

  ## Method Summary
  `static epp_DomainHostsType` | `from_int(int value)` Transform an integer into a epp_DomainHostsType constant.
  `String` | `toString()` Converts this class into a string.
  `int` | `value()` Accessor method for the internal integer represent the type of host.

## Field Details

### ALL

    public static final epp_DomainHostsType ALL

> Host instance of epp_DomainHostsType representing the ALL host type. Used directly with epp_DomainInfoReq.
> See Also:
>   `epp_DomainInfoReq`

### DEL

    public static final epp_DomainHostsType DEL

> Host instance of epp_DomainHostsType representing the DEL host type. Used directly with epp_DomainInfoReq.
> See Also:
>   `epp_DomainInfoReq`

### NONE

    public static final epp_DomainHostsType NONE

> Host instance of epp_DomainHostsType representing the NONE host type. Used directly with epp_DomainInfoReq.
> See Also:
>   `epp_DomainInfoReq`

### SUB

    public static final epp_DomainHostsType SUB

> Host instance of epp_DomainHostsType representing the SUB host type. Used directly with epp_DomainInfoReq.
> See Also:
>   `epp_DomainInfoReq`

### _ALL

    public static final int _ALL

> Integer value representing the ALL host type.
> Field Value:
>   0
> See Also:
>   `ALL`

### _DEL

    public static final int _DEL

> Integer value representing the DEL host type.
> Field Value:
>   1
> See Also:
>   `DEL`

### _NONE

    public static final int _NONE

> Integer value representing the NONE host type.
> Field Value:
>   2
> See Also:
>   `NONE`

### _SUB

    public static final int _SUB

> Integer value representing the SUB host type.
> Field Value:
>   3
> See Also:
>   `SUB`

## Constructor Details

### epp_DomainHostsType

    protected epp_DomainHostsType(int value)

## Method Details

### from_int

    public static epp_DomainHostsType from_int(int value)

> Transform an integer into a epp_DomainHostsType constant. Given the integer representation of the host type, returns one of the host type constants.
> Parameters:
>   `value` - The integer value for the desired host type

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

### value

    public int value()

> Accessor method for the internal integer represent the type of host. Would compared with _ADMIN, _BILLING, _TECH.
> Returns:
>   The integer value of this domain contact type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS